Saltar al contenido principal
PATCH
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
account-types
/
{account_type_id}
Actualizar un Tipo de Cuenta
curl --request PATCH \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/account-types/{account_type_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Savings Accounts",
  "description": "Saving Account",
  "metadata": {
    "supportsOverdraft": false,
    "minimumBalance": 100,
    "statementFrequency": "weekly",
    "category": "business",
    "internalCode": "ACC_TYPE_TX_001_UPD"
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "keyValue": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "metadata": {}
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene Access Manager habilitado.

Content-Type
string

El tipo de medio del recurso. El valor recomendado es application/json.

X-Request-Id
string<uuid>

Un identificador único utilizado para rastrear y seguir cada solicitud.

Parámetros de ruta

organization_id
string
requerido

El identificador único de la Organización asociada al Ledger.

ledger_id
string
requerido

El identificador único del Ledger asociado.

account_type_id
string<uuid>
requerido

El identificador único del Tipo de Cuenta que desea recuperar.

Cuerpo

application/json
name
string

Name of the Account Type.

description
string

Description of the Account Type.

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.

Respuesta

Indica que el recurso fue creado exitosamente y la operación se completó como se esperaba.

id
string<uuid>

The unique identifier of the Account Type.

organizationId
string<uuid>

El identificador único de la Organización.

ledgerId
string<uuid>

El identificador único del Ledger.

name
string

Name of the Account Type.

description
string

Description of the Account Type.

keyValue
string

Unique identifier for the Account Type created.

createdAt
string<date-time>

Timestamp of creation (UTC).

updatedAt
string<date-time>

Timestamp of last update (UTC).

deletedAt
string<date-time> | null

Timestamp of soft deletion, if applicable (UTC).

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.